STRIP(1)

NOME
strip - Scarta i simboli dai file oggetto.

SINTASSI
strip [-F bfdname |--target=bfdname]
      [-I bfdname |--input-target=bfdname]
      [-O bfdname |--output-target=bfdname]
      [-s|--strip-all]
      [-S|-g|-d|--strip-debug]
      [-K symbolname |--keep-symbol=symbolname]
      [-N symbolname |--strip-symbol=symbolname]
      [-w|--wildcard]
      [-x|--discard-all] [-X |--discard-locals]
      [-R sectionname |--remove-section=sectionname]
      [-o file] [-p|--preserve-dates]
      [--only-keep-debug]
      [-v |--verbose] [-V|--version]
      [--help] [--info]
      objfile...

DESCRIZIONE
GNU strip scarta tutti i simboli dai file oggetto objfile. L'elenco dei file oggetto può includere archivi. Deve essere fornito almeno un file oggetto.

strip modifica i file nominati negli argomenti, invece di scrivere copie modificate con nomi differenti.

OPZIONI

-F bfdname
--target=bfdname
    Tratta l'originale objfile come un file con il codice oggetto nel formato bfdname, e lo riscrive nello stesso formato.

--help
    Mostra un sommario delle opzioni di strip ed esce.

--info
    Visualizza un elenco che mostra tutte le architetture e i formati oggetto disponibili.

-I bfdname
--input-target=bfdname
    Tratta l'originale objfile come file con il codice oggetto nel formato bfdname.

-O bfdname
--output-target=bfdname
    Sostituisce objfile con un file nel formato di output bfdname.

-R sectionname
--remove-section=sectionname
    Rimuove tutte le sezioni chiamate sectionname dal file di output. Questa opzione può essere data più di una volta. Notare che l'uso inappropriato di questa opzione può rendere inutilizzabile il file di output.

-s
--strip-all
    Rimuove tutti i simboli.

-g
-S
-d
--strip-debug
    Rimuove solo i simboli di debug.

--strip-unneeded
    Rimuove tutti i simboli non necessari per il processo di riallocazione.

-K symbolname
--keep-symbol=symbolname
    Mantiene solo il simbolo symbolname dal file sorgente. Questa opzione può essere data più di una volta.

-N symbolname
--strip-symbol=symbolname
    Rimuove il simbolo symbolname dal file sorgente. Questa opzione può essere data più di una volta, e può essere combinata con opzioni di strip diverse da -K.

-o file
    Mette l'output strippato in file, invece di sostituire il file esistente. Quando viene usato questo argomento, può essere specificato solo un argomento objfile.

-p
--preserve-dates
    Preserva le date di accesso e modifica del file.

-w
--wildcard
    Permette le espressioni regolari in symbolnames usate in altre opzioni nella linea di comando. Gli operatori punto di domanda (?), asterisco (*), backslash (\) e parentesi quadre ([]) possono essere usati ovunque nel nome del simbolo. Se il primo carattere del nome del simbolo è il punto esclamativo (!), allora il senso dell'opzione per tale simbolo è invertito. Per esempio:

              -w -K !foo -K fo*

    fara sì che strip prenda solo simboli che iniziano con le lettere ``fo'', ma scarterà il simbolo ``foo''.

-x
--discard-all
    Rimuove i simboli non globali.

-X
--discard-locals
    Rimuove i simboli locali generati dal compilatore. (Ciò normalmente inizia con L or ..)

--only-keep-debug
    Fa lo strip su un file, rimuovendo ogni sezione su cui verrebbe fatto lo strip da --strip-debug e lasciando le sezioni di debug.

    L'intenzione è che questa opzione venga usata in unione con --add-gnu-debuglink per creare un eseguibile in due parti. Una un binario "strippato" che occuperà meno spazio in RAM e in una distribuzione il secondo un file di informazione di debugging, che è necessario solo se sono richieste capacità di debugging. La procedura suggerita per creare questi file è la seguente:

    1.<Collega l'eseguibile come normale. Supponendo che sia chiamato>
        "foo" then...

    1.<Esegue "objcopy --only-keep-debug foo foo.dbg" to>
        crea un file contenente le informazioni di debug.

    1.<Esegue "objcopy --strip-debug foo" per creare un>
        eseguibile "strippato".

    1.<Esegue "objcopy --add-gnu-debuglink=foo.dbg foo">
        per aggiungere un collegamento alle informazioni di debugging nell'eseguibile " strippato".

    Nota - la scelta di ".dbg" come estensione del file di informazioni di debug è arbitraria. Anche il passo "--only-keep-debug" è opzionale. Si può invece fare questo:

    1.<Collega l'eseguibile come normale.>
    1.<Copia "foo" su  "foo.full">
    1.<Esegue "strip --strip-debug foo">
    1.<Esegue "objcopy --add-gnu-debuglink=foo.full foo">

    ad esempio il file a cui punta --add-gnu-debuglink può essere l'eseguibile completo. Non deve essere un file creato dall'opzione --only-keep-debug .

-V
--version
    Mostra il numero di versione di strip.

-v
--verbose
    Output prolisso: elenca tutti i file oggetto modificati. Nel caso di archivi, strip -v elenca tutti i membri dell'archivio.

VEDERE ANCHE
i campi Info di binutils.

COPYRIGHT
Copyright (c) 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, with no Front-Cover Texts, and with no Back-Cover Texts. A copy of the license is included in the section entitled ``GNU Free Documentation License''.